ShadeScene
Update shade scene properties
This request accepts the response of the /ShadeScene/Properties endpoint in its body, and will update the stored configuration.
Note: All values should be provided, not just properties which are changing
PUT
/
Project
/
{projectId}
/
Prediction
/
{predictionId}
/
ShadeScene
Update shade scene properties
curl --request PUT \
--url https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/ShadeScene \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": 4297,
"name": "Custom Shade Scene",
"createdDateUTC": "2025-11-25T16:41:49.847",
"createdById": 8903,
"sceneSurfaceArea": 34952.621141703195,
"dcFieldSurfaceArea": 14461.598249999997,
"collectorCount": 177,
"objectCount": 0,
"orientationTargetDCField": 3387869,
"calculationSettingsTargetDCField": 3387869,
"siteTableCount": 177,
"rotation": false,
"customTableRotationScheduleName": null,
"customTableRotationUploadDate": null,
"binType": 2,
"collectorType": 0,
"trackerRotationModel": 0,
"shadingModel": 6,
"fractionalShadingPercentage": 100,
"numberOfModuleFractions": 3,
"shadeObjectType": 1
}
'import requests
url = "https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/ShadeScene"
payload = {
"id": 4297,
"name": "Custom Shade Scene",
"createdDateUTC": "2025-11-25T16:41:49.847",
"createdById": 8903,
"sceneSurfaceArea": 34952.621141703195,
"dcFieldSurfaceArea": 14461.598249999997,
"collectorCount": 177,
"objectCount": 0,
"orientationTargetDCField": 3387869,
"calculationSettingsTargetDCField": 3387869,
"siteTableCount": 177,
"rotation": False,
"customTableRotationScheduleName": None,
"customTableRotationUploadDate": None,
"binType": 2,
"collectorType": 0,
"trackerRotationModel": 0,
"shadingModel": 6,
"fractionalShadingPercentage": 100,
"numberOfModuleFractions": 3,
"shadeObjectType": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
id: 4297,
name: 'Custom Shade Scene',
createdDateUTC: '2025-11-25T16:41:49.847',
createdById: 8903,
sceneSurfaceArea: 34952.621141703195,
dcFieldSurfaceArea: 14461.598249999997,
collectorCount: 177,
objectCount: 0,
orientationTargetDCField: 3387869,
calculationSettingsTargetDCField: 3387869,
siteTableCount: 177,
rotation: false,
customTableRotationScheduleName: null,
customTableRotationUploadDate: null,
binType: 2,
collectorType: 0,
trackerRotationModel: 0,
shadingModel: 6,
fractionalShadingPercentage: 100,
numberOfModuleFractions: 3,
shadeObjectType: 1
})
};
fetch('https://api.plantpredict.terabase.energy/Project/{projectId}/Prediction/{predictionId}/ShadeScene', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Shade Scene Properties Updated Successfully"{
"message": "The request is invalid.",
"modelState": {
"latitude": [
"The field Latitude must be between -90 and 90."
]
}
}"Project not found.""An error has occurred."Authorizations
Pass Authorization: Bearer <token> on every request. See the Authentication section of the API description for how to fetch a token.
Body
application/json
ISO-8601 datetime as returned by the PlantPredict API. May or may not include a timezone offset; treat as server-local when no offset is present.
ShadeSceneBinTypes
Available options:
0, 1, 2 CollectorType
Available options:
0, 1, 2 TrackerRotationModel
Available options:
0, 1, 2 Shading3DModel
Available options:
0, 1 ShadeObjectType
Available options:
0, 1 Response
Updated
⌘I
Update shade scene properties
